/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/archive/tags/sakai_2-3-1/import-parsers/common-cartridge/src/java/org/sakaiproject/importer/impl/translators/CCWebLinkTranslator.java $
 * $Id: CCWebLinkTranslator.java 17765 2006-11-02 00:52:56Z lance@indiana.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.importer.impl.translators;

import org.sakaiproject.importer.api.IMSResourceTranslator;
import org.sakaiproject.importer.api.Importable;
import org.sakaiproject.importer.impl.XPathHelper;
import org.sakaiproject.importer.impl.importables.WebLink;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

public class CCWebLinkTranslator implements IMSResourceTranslator {

	public String getTypeName() {
		return "imswl_xmlv1p0";
	}

	public boolean processResourceChildren() {
		return false;
	}

	public Importable translate(Node resourceNode, Document descriptor,
			String contextPath, String archiveBasePath) {
		WebLink rv = new WebLink();
		String url = XPathHelper.getNodeValue("//url/@href", descriptor);
		String title = XPathHelper.getNodeValue("//title", descriptor);
		rv.setTitle(title);
		rv.setUrl(url);
		rv.setAbsolute(url.lastIndexOf("://") > 0);
		rv.setContextPath(contextPath + title);
		return rv;
	}

}
