/*************************************************************************************
 Copyright (c) 2006. Centre for e-Science. Lancaster University. United Kingdom.

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 *************************************************************************************/

package uk.ac.lancs.e_science.sakaiproject.api.blogger.util;

public class Par {
	private Object _objeto1;
	private Object _objeto2;
	
	public Par() {
	}
	
	public Par(Object objeto1, Object objeto2) {
		_objeto1 = objeto1;
		_objeto2 = objeto2;
	}
	
	

	/**
	 * Returns the objeto1.
	 * @return Object
	 */
	public Object getObjeto1() {
		return _objeto1;
	}

	/**
	 * Returns the objeto2.
	 * @return Object
	 */
	public Object getObjeto2() {
		return _objeto2;
	}

	/**
	 * Sets the objeto1.
	 * @param objeto1 The objeto1 to set
	 */
	public void setObjeto1(Object objeto1) {
		_objeto1 = objeto1;
	}

	/**
	 * Sets the objeto2.
	 * @param objeto2 The objeto2 to set
	 */
	public void setObjeto2(Object objeto2) {
		_objeto2 = objeto2;
	}
	
	/**
	 * Compara dos pares.
	 * 
	 * @param par Par que se desea comparar.
	 * 
	 * @return Retorna <true>si los dos objetos son iguales, <code>false</code> si no.
	 */
	public boolean equals(Par par) {
		return ((getObjeto1().equals(par.getObjeto1())) && getObjeto2().equals(par.getObjeto2()));
	}

}
