/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/calendar/tags/sakai_2-3-1/calendar-impl/impl/src/java/org/sakaiproject/calendar/impl/RecurrenceInstance.java $
 * $Id: RecurrenceInstance.java 8050 2006-04-20 17:39:55Z ggolden@umich.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004, 2005, 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.calendar.impl;

import org.sakaiproject.time.api.TimeRange;

/**
* <p>RecurrenceInstance is one instance of a recurrence sequence, with the time range and sequence # of the instance.</p>
*/
public class RecurrenceInstance
{
	/** The time range of the instance. */
	protected TimeRange m_range = null;

	/** The sequence number (1 based) of the instance. */
	protected Integer m_sequence = null;

	/**
	* Construct.
	*/
	public RecurrenceInstance(TimeRange range, int sequence)
	{
		m_range = range;
		m_sequence = new Integer(sequence);

	}	// RecurrenceInstance

	/**
	* Access the time range.
	* @return the TimeRange.
	*/
	public TimeRange getRange()
	{
		return m_range;

	}	// getRange

	/**
	* Access the sequence number.
	* @return the sequence number.
	*/
	public Integer getSequence()
	{
		return m_sequence;

	}	// getSequence

}	// RecurrenceInstance



