/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/course-management/tags/sakai_2-3-1/cm-impl/hibernate-impl/hibernate/src/java/org/sakaiproject/coursemanagement/impl/CourseSetCmImpl.java $
 * $Id: CourseSetCmImpl.java 13799 2006-08-16 21:14:31Z jholtzman@berkeley.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/
package org.sakaiproject.coursemanagement.impl;

import java.io.Serializable;
import java.util.Set;

import org.sakaiproject.coursemanagement.api.CourseSet;

public class CourseSetCmImpl extends AbstractMembershipContainerCmImpl
	implements CourseSet, Serializable {

	private static final long serialVersionUID = 1L;

	private CourseSet parent;
	private String category;
	private Set courseOfferings;
	private Set canonicalCourses;

	public CourseSetCmImpl() {}
	
	public CourseSetCmImpl(String eid, String title, String description, String category, CourseSet parent) {
		this.eid = eid;
		this.title = title;
		this.description = description;
		this.category = category;
		this.parent = parent;
	}
	
	public CourseSet getParent() {
		return parent;
	}
	public void setParent(CourseSet parent) {
		this.parent = parent;
	}
	
	public Set getCourseOfferings() {
		return courseOfferings;
	}
	public void setCourseOfferings(Set courseOfferings) {
		this.courseOfferings = courseOfferings;
	}

	public Set getCanonicalCourses() {
		return canonicalCourses;
	}
	public void setCanonicalCourses(Set canonicalCourses) {
		this.canonicalCourses = canonicalCourses;
	}

	public String getCategory() {
		return category;
	}
	public void setCategory(String category) {
		this.category = category;
	}
}
