/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/event/tags/sakai_2-3-1/event-api/api/src/java/org/sakaiproject/event/cover/EventTrackingService.java $
 * $Id: EventTrackingService.java 7036 2006-03-27 00:31:07Z ggolden@umich.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004, 2005, 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.event.cover;

import org.sakaiproject.component.cover.ComponentManager;

/**
 * <p>
 * EventTrackingService is a static Cover for the {@link org.sakaiproject.event.api.EventTrackingService EventTrackingService}; see that interface for usage details.
 * </p>
 */
public class EventTrackingService
{
	/**
	 * Access the component instance: special cover only method.
	 * 
	 * @return the component instance.
	 */
	public static org.sakaiproject.event.api.EventTrackingService getInstance()
	{
		if (ComponentManager.CACHE_COMPONENTS)
		{
			if (m_instance == null)
				m_instance = (org.sakaiproject.event.api.EventTrackingService) ComponentManager
						.get(org.sakaiproject.event.api.EventTrackingService.class);
			return m_instance;
		}
		else
		{
			return (org.sakaiproject.event.api.EventTrackingService) ComponentManager
					.get(org.sakaiproject.event.api.EventTrackingService.class);
		}
	}

	private static org.sakaiproject.event.api.EventTrackingService m_instance = null;

	public static java.lang.String SERVICE_NAME = org.sakaiproject.event.api.EventTrackingService.SERVICE_NAME;

	public static void addPriorityObserver(java.util.Observer param0)
	{
		org.sakaiproject.event.api.EventTrackingService service = getInstance();
		if (service == null) return;

		service.addPriorityObserver(param0);
	}

	public static void addLocalObserver(java.util.Observer param0)
	{
		org.sakaiproject.event.api.EventTrackingService service = getInstance();
		if (service == null) return;

		service.addLocalObserver(param0);
	}

	public static org.sakaiproject.event.api.Event newEvent(java.lang.String param0, java.lang.String param1, boolean param2)
	{
		org.sakaiproject.event.api.EventTrackingService service = getInstance();
		if (service == null) return null;

		return service.newEvent(param0, param1, param2);
	}

	public static org.sakaiproject.event.api.Event newEvent(java.lang.String param0, java.lang.String param1, boolean param2,
			int param3)
	{
		org.sakaiproject.event.api.EventTrackingService service = getInstance();
		if (service == null) return null;

		return service.newEvent(param0, param1, param2, param3);
	}

	public static void addObserver(java.util.Observer param0)
	{
		org.sakaiproject.event.api.EventTrackingService service = getInstance();
		if (service == null) return;

		service.addObserver(param0);
	}

	public static void deleteObserver(java.util.Observer param0)
	{
		org.sakaiproject.event.api.EventTrackingService service = getInstance();
		if (service == null) return;

		service.deleteObserver(param0);
	}

	public static void post(org.sakaiproject.event.api.Event param0, org.sakaiproject.event.api.UsageSession param1)
	{
		org.sakaiproject.event.api.EventTrackingService service = getInstance();
		if (service == null) return;

		service.post(param0, param1);
	}

	public static void post(org.sakaiproject.event.api.Event param0)
	{
		org.sakaiproject.event.api.EventTrackingService service = getInstance();
		if (service == null) return;

		service.post(param0);
	}
}
