/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/help/tags/sakai_2-3-1/help-api/src/java/org/sakaiproject/api/app/help/Category.java $
 * $Id: Category.java 7653 2006-04-12 12:10:02Z marquard@ched.uct.ac.za $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.api.app.help;

import java.util.Set;

/** 
 * Category container.
 * @version $Id: Category.java 7653 2006-04-12 12:10:02Z marquard@ched.uct.ac.za $ 
 */
public interface Category
{
  /**
   * get name
   * @return name
   */
  public String getName();

  /**
   * set name
   * @param name
   */
  public void setName(String name);

  /**
   * get resources
   * @return resources
   */
  public Set getResources();

  /**
   * set resources
   * @param resources
   */
  public void setResources(Set resources);

  /**
   * get categories
   * @return set of categories
   */
  public Set getCategories();

  /**
   * set categories
   * @param categories
   */
  public void setCategories(Set categories);
  
  /**
   * get parent category
   * @return category
   */
  public Category getParent();
  
  /**
   * set parent category
   * @param cat
   */
  public void setParent(Category cat);
  
}


