/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/message/tags/sakai_2-3-1/message-api/api/src/java/org/sakaiproject/message/api/Message.java $
 * $Id: Message.java 8167 2006-04-22 23:55:59Z ggolden@umich.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004, 2005, 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.message.api;

import org.sakaiproject.entity.api.Entity;

/**
 * <p>
 * Message is the base interface for all Sakai communications messages.
 * </p>
 */
public interface Message extends Entity, Comparable
{
	/**
	 * Access the message header.
	 * 
	 * @return The message header.
	 */
	public MessageHeader getHeader();

	/**
	 * Access the body, as a string.
	 * 
	 * @return The body, as a string.
	 */
	public String getBody();
}
