/**********************************************************************************
 * $URL: $
 * $Id:  $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004, 2005, 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.tool.OSIDRepository;

import javax.servlet.http.HttpSession;


public interface SessionContextInterface 
{

  /**
   * Set a session context name=value pair
   * @param name Attribute name
   * @param value Attribute value
   */
  void put(String name, Object value);

  /**
   * Fetch a value
   * @param name Attribute name
   * @return Requested value
   */
  Object get(String name);

  /**
   * Delete a session context name=value pair
   * @param name Attribute name
   */
  void remove(String name);

  /**
   * Get the servlet session block associated with this SessionContext
   * @return HttpServlet object for the SessionContext
   */
  public HttpSession getSession();

}
