/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/sam/tags/sakai_2-3-1/samigo-app/src/java/org/sakaiproject/tool/assessment/settings/OjbConfigListener.java $
 * $Id: OjbConfigListener.java 11400 2006-06-29 20:24:36Z lydial@stanford.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2004, 2005, 2006 The Sakai Foundation.
 *
 * Licensed under the Educational Community License, Version 1.0 (the"License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.opensource.org/licenses/ecl1.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 **********************************************************************************/



package org.sakaiproject.tool.assessment.settings;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;


/**
 * Initializes OJB at startup.
 * @author <a href="mailto:lance@indiana.edu">Lance Speelmon</a>
 * @version $Id: OjbConfigListener.java 11400 2006-06-29 20:24:36Z lydial@stanford.edu $
 */
public class OjbConfigListener
  implements ServletContextListener
{
  private static Log log = LogFactory.getLog(OjbConfigListener.class);

  /**
   * @see javax.servlet.ServletContextListener#contextInitialized(javax.servlet.ServletContextEvent)
   */
  public void contextInitialized(ServletContextEvent sce)
  {
    if(log.isDebugEnabled())
    {
      log.debug("contextInitialized(ServletContextEvent " + sce + ")");
    }

    try
    {
      OjbBootStrap ojbs = new OjbBootStrap();
      ojbs.bootstrap();
    }
    catch(Exception e)
    {
      log.fatal(e.getMessage(), e);
      throw new RuntimeException(e);
    }

    log.info("OjbConfigListener initialized successfully!");
  }

  /**
   * @see javax.servlet.ServletContextListener#contextDestroyed(javax.servlet.ServletContextEvent)
   */
  public void contextDestroyed(ServletContextEvent sce)
  {
    ;
  }
}
