/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/search/tags/sakai_2-3-1/search-api/api/src/java/org/sakaiproject/search/model/SearchWriterLock.java $
 * $Id: SearchWriterLock.java 9109 2006-05-08 14:44:04Z ian@caret.cam.ac.uk $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004, 2005, 2006 The Sakai Foundation.
 *
 * Licensed under the Educational Community License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.opensource.org/licenses/ecl1.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.search.model;

import java.util.Date;

/**
 * @author ieb
 */
public interface SearchWriterLock
{
	String getId();

	void setId(String id);


	/**
	 * the name of the node holding the lock
	 * 
	 * @return
	 */
	String getNodename();

	/**
	 * the name of the node holding the lock
	 * 
	 * @param nodeName
	 */
	void setNodename(String nodeName);

	/**
	 * The name of the lock
	 * 
	 * @param lockkey
	 */
	void setLockkey(String lockkey);

	/**
	 * The name of the lock
	 * 
	 * @return
	 */
	String getLockkey();

	/**
	 * The date when the lock will expire
	 * @param exopiry
	 */
	void setExpires(Date expires);
	
	/**
	 * The date when the lock will expire
	 * @return
	 */
	Date getExpires();

}
