/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/util/tags/sakai_2-3-1/util-util/util/src/java/org/sakaiproject/util/EnumerationIterator.java $
 * $Id: EnumerationIterator.java 6832 2006-03-21 20:43:34Z ggolden@umich.edu $
 ***********************************************************************************
 *
 * Copyright (c) 2003, 2004, 2005, 2006 The Sakai Foundation.
 * 
 * Licensed under the Educational Community License, Version 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 *      http://www.opensource.org/licenses/ecl1.php
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.util;

import java.util.Enumeration;
import java.util.Iterator;

/**
 * <p>
 * EnumerationIterator is an iterator over an enumeration.
 * </p>
 */
public class EnumerationIterator implements Iterator
{
	/** The enumeration over which this iterates. */
	protected Enumeration m_enum = null;

	public EnumerationIterator(Enumeration e)
	{
		m_enum = e;
	}

	public Object next()
	{
		return m_enum.nextElement();
	}

	public boolean hasNext()
	{
		return m_enum.hasMoreElements();
	}

	public void remove()
	{
		throw new UnsupportedOperationException();
	}
}
